from PIL import Image 
from PIL import ImageFilter  # za blurovanje

PATH = "/home/cugur/Downloads/matf/dozs/2024/week3/data/river.jpg"

with Image.open(PATH) as img:

    img.load()
    img.show()
    print("Koristimo sliku dimenzija:", img.size)

    # Primenicemo blurovanje na sliku 
    img1 = img.filter(ImageFilter.BoxBlur(3))
    img1.show()

    img2 = img.filter(ImageFilter.BoxBlur(15))
    img2.show()

    # Drugaciji tipovi blurovanja
    img3 = img.filter(ImageFilter.GaussianBlur(7))
    img3.show()

    # Zadatak (pitanje): da li je moguce sliku izostriti nakon sto se bluruje?
    img4 = img.filter(ImageFilter.GaussianBlur(3))
    img4.show()

    img5 = img4.filter(ImageFilter.SHARPEN)
    img5.show()


